MALT-RUN(1)

NAME
malt-run - Sequences aligner using MALT (MEGAN alignment tool)

DESCRIPTION
SYNOPSIS

    malt-run [options]

DESCRIPTION

    Aligns sequences using MALT (MEGAN alignment tool)

OPTIONS

    Mode:

-m, --mode [string]
    Program mode. Mandatory option. Legal values: Unknown, BlastN, BlastP, BlastX, Classifier

-at, --alignmentType [string]
    Type of alignment to be performed. Default value: Local Legal values: Local, SemiGlobal

    Input:

-i, --inFile [string(s)]
    Input file(s) containing queries in FastA or FastQ format (gzip or zip ok). Mandatory option.

-d, --index [string]
    Index directory as generated by malt-build. Mandatory option.

    Output:

-o, --output [string(s)]
    Output RMA file(s) or directory or stdout.

-iu, --includeUnaligned
    Include unaligned queries in RMA output file. Default value: false.

-a, --alignments [string(s)]
    Output alignment file(s) or directory or stdout.

-f, --format [string]
    Alignment output format. Default value: SAM Legal values: SAM, Tab, Text

-za, --gzipAlignments
    Compress alignments using gzip. Default value: true.

-ssc, --samSoftClip
    Use soft clipping in SAM files (BlastN mode only). Default value: false.

-sps, --sparseSAM
    Produce sparse SAM format (smaller, faster, but only suitable for MEGAN). Default value: false.

-oa, --outAligned [string(s)]
    Aligned reads output file(s) or directory or stdout.

-zal, --gzipAligned
    Compress aligned reads output using gzip. Default value: true.

-ou, --outUnaligned [string(s)]
    Unaligned reads output file(s) or directory or stdout.

-zul, --gzipUnaligned
    Compress unaligned reads output using gzip. Default value: true.

    Performance:

-t, --numThreads [number]
    Number of worker threads. Default value: 4.

-mem, --memoryMode [string]
    Memory mode. Default value: load Legal values: load, page, map

-mt, --maxTables [number]
    Set the maximum number of seed tables to use (0=all). Default value: 0.

-rqc, --replicateQueryCache
    Cache results for replicated queries. Default value: false.

    Filter:

-b, --minBitScore [number]
    Minimum bit score. Default value: 50.0.

-e, --maxExpected [number]
    Maximum expected score. Default value: 1.0.

-id, --minPercentIdentity [number]
    Minimum percent identity. Default value: 0.0.

-mq, --maxAlignmentsPerQuery [number]
    Maximum number of alignments per query. Default value: 25.

-mrf, --maxAlignmentsPerRef [number]
    Maximum number of (non-overlapping) alignments per reference. Default value: 1.

    BlastN parameters:

-ma, --matchScore [number]
    Match score. Default value: 2.

-mm, --mismatchScore [number]
    Mismatch score. Default value: -3.

-la, --setLambda [number]
    Parameter Lambda for BLASTN statistics. Default value: 0.625.

-K, --setK [number]
    Parameter K for BLASTN statistics. Default value: 0.41.

    BlastP and BlastX parameters:

-psm, --subMatrix [string]
    Protein substitution matrix to use. Default value: BLOSUM62 Legal values: BLOSUM45, BLOSUM50, BLOSUM62, BLOSUM80, BLOSUM90

    DNA query parameters:

-fo, --forwardOnly
    Align query forward strand only. Default value: false.

-ro, --reverseOnly
    Align query reverse strand only. Default value: false.

    LCA parameters:

-top, --topPercent [number]
    Top percent value for LCA algorithm. Default value: 10.0.

-supp, --minSupportPercent [number]
    Min support value for LCA algorithm as a percent of assigned reads (0==off). Default value: 0.001.

-sup, --minSupport [number]
    Min support value for LCA algorithm (overrides --minSupportPercent). Default value: 0.

-mpi, --minPercentIdentityLCA [number]
    Min percent identity used by LCA algorithm. Default value: 0.0.

-mif, --useMinPercentIdentityFilterLCA
    Use percent identity assignment filter. Default value: false.

-wlca, --weightedLCA
    Use the weighted LCA for taxonomic assignment. Default value: false.

-lcp, --lcaCoveragePercent [number]
    Set the percent for the LCA to cover. Default value: 100.0.

-mag, --magnitudes
    Reads have magnitudes (to be used in taxonomic or functional analysis). Default value: false.

-cf, --conFile [string]
    File of contaminant taxa (one Id or name per line).

    Heuristics:

-spf, --maxSeedsPerFrame [number]
    Maximum number of seed matches per offset per read frame. Default value: 100.

-spr, --maxSeedsPerRef [number]
    Maximum number of seed matches per read and reference. Default value: 20.

-sh, --seedShift [number]
    Seed shift. Default value: 1.

    Banded alignment parameters:

-go, --gapOpen [number]
    Gap open penalty. Default value: 11.

-ge, --gapExtend [number]
    Gap extension penalty. Default value: 1.

-bd, --band [number]
    Band width/2 for banded alignment. Default value: 4.

    Other:

-rqcb, --replicateQueryCacheBits [number]
    Bits used for caching replicate queries (size is then 2^bits). Default value: 20.

-xP, --xPart
    Show part of the table in human readable form for debugging. Default value: false.

-v, --verbose
    Echo commandline options and be verbose. Default value: false.

-h, --help
    Show program usage and quit.

AUTHOR(s)

    Daniel H. Huson.

SEE ALSO
malt-build(1)